## imcode.server.document
Class DocumentReference

    java.lang.Object
      imcode.server.document.DocumentReference

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  DirectDocumentReference, GetterDocumentReference

    public abstract class DocumentReference

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`protected` `DocumentReference(int documentId)`

Method Summary
`boolean` `equals(java.lang.Object o)`
`abstract DocumentDomainObject` `getDocument()`
`int` `getDocumentId()`
`int` `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentReference

    protected DocumentReference(int documentId)

Method Detail

### getDocumentId

    public int getDocumentId()

### getDocument

    public abstract DocumentDomainObject getDocument()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`